_mutex_padding.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::interface7::internal::padded_mutex< Mutex, is_rw >
class | tbb::interface7::internal::padded_mutex< Mutex, false >
class | tbb::interface7::internal::padded_mutex< Mutex, false >::scoped_lock
| Represents acquisition of a mutex. More...
class | tbb::interface7::internal::padded_mutex< Mutex, true >
class | tbb::interface7::internal::padded_mutex< Mutex, true >::scoped_lock
| Represents acquisition of a mutex. More...

## Namespaces

| tbb
| The graph class.
| tbb::interface7
| tbb::interface7::internal

## Variables

static const size_t | tbb::interface7::internal::cache_line_size = 64

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.